using System;
using System.IO;
using System.Collections.Generic;
using System.Text;

namespace CreateAVS
{
    class Program
    {
        static void Main(string[] args)
        {
            String OutputAVS = "";

            if (args[0] == null)
            {
                Console.WriteLine("Replaces the %eventname% in the template avs with the event_name parameter");
                Console.WriteLine();
                Console.WriteLine("Usage:");
                Console.WriteLine("     CreateAVS.exe <template.avs> <eventname>");
            }
            else
            {

                #region read the template file
                using (StreamReader sr = File.OpenText(args[0]))
                {
                    String buffer;

                    while ((buffer = sr.ReadLine()) != null)
                    {

                        buffer = buffer.Replace("%eventname%", args[1]);

                        Console.WriteLine(buffer);
                    }
                    sr.Close();
                }
                #endregion

            }
        }
    }
}
